Bug 1266613 - "No bluetooth adapter", while bluetoothctl works
"No bluetooth adapter", while bluetoothctl works
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth (Show other bugs)
24
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 16:35 EDT by rh
Modified: 2017-08-08 08:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:16:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rh 2015-09-25 16:35:22 EDT
Description of problem:
When I plug in my USB bluetooth adapter, it works on the console (bluetoothctl), but gnome-bluetooth says that "no bluetooth adapter is available".

How reproducible:
always

Steps to Reproduce:
1. Plug in bluetooth adapter. 

dmesg:
[33862.707401] usb 4-1: new full-speed USB device number 7 using ohci-pci
[33862.860516] usb 4-1: New USB device found, idVendor=0a12, idProduct=0001
[33862.860528] usb 4-1: New USB device strings: Mfr=0, Product=2, SerialNumber=0
[33862.860535] usb 4-1: Product: CSR8510 A10

lsusb:
Bus 004 Device 007: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)

2. Everything works with bluetoothctl:

$ bluetoothctl 
[NEW] Controller 00:1A:7D:DA:71:13 xxxx [default]
[NEW] Device 00:22:37:31:07:91 JBL E50BT
[NEW] Device 00:22:48:88:38:93 Microsoft Bluetooth Mobile Keyboard 6000
[bluetooth]# quit
[DEL] Controller 00:1A:7D:DA:71:13 xxxx [default]

Connecting to devices etc. works, too.

3. Try to control bluetooth devices with Gnome.


Actual results:

When going to Settings/Bluetooth, the toggle switch is not enabled. Message: "No bluetooth adapter"


Expected results:

Bluetooth adapter should be detected and useable.


Additional info:

$ systemctl status bluetooth.service
● bluetooth.service - Bluetooth service
   Loaded: loaded (/usr/lib/systemd/system/bluetooth.service; enabled; vendor preset: enabled)
   Active: active (running) since Fre 2015-09-25 20:10:47 CEST; 2h 24min ago
     Docs: man:bluetoothd(8)
 Main PID: 21776 (bluetoothd)
   Status: "Running"
   CGroup: /system.slice/bluetooth.service
           └─21776 /usr/libexec/bluetooth/bluetoothd
Comment 1 rh 2015-09-25 16:36:11 EDT
$ rpm -qa | grep bluetooth
pulseaudio-module-bluetooth-6.0-8.fc22.x86_64
NetworkManager-bluetooth-1.0.6-5.fc22.x86_64
gnome-bluetooth-libs-3.16.1-1.fc22.x86_64
gnome-bluetooth-3.16.1-1.fc22.x86_64
Comment 2 Bastien Nocera 2015-10-02 07:49:38 EDT
What's the output of "rfkill list" and hciconfig?
Comment 3 rh 2015-10-02 08:53:26 EDT
$ hciconfig -a
hci0:	Type: BR/EDR  Bus: USB
	BD Address: 00:1A:7D:DA:71:13  ACL MTU: 310:10  SCO MTU: 64:8
	UP RUNNING PSCAN ISCAN 
	RX bytes:1453 acl:0 sco:0 events:47 errors:0
	TX bytes:979 acl:0 sco:0 commands:47 errors:0
	Features: 0xff 0xff 0x8f 0xfe 0xdb 0xff 0x5b 0x87
	Packet type: DM1 DM3 DM5 DH1 DH3 DH5 HV1 HV2 HV3 
	Link policy: RSWITCH HOLD SNIFF PARK 
	Link mode: SLAVE ACCEPT 
	Name: '.........'
	Class: 0x1c0104
	Service Classes: Rendering, Capturing, Object Transfer
	Device Class: Computer, Desktop workstation
	HCI Version: 4.0 (0x6)  Revision: 0x22bb
	LMP Version: 4.0 (0x6)  Subversion: 0x22bb
	Manufacturer: Cambridge Silicon Radio (10)

$ rfkill list
0: hci0: Bluetooth
	Soft blocked: no
	Hard blocked: no
Comment 4 Bastien Nocera 2015-10-05 07:12:28 EDT
What's the output of:
 gdbus introspect --session --dest org.gnome.SettingsDaemon.Rfkill --object-path /org/gnome/SettingsDaemon/Rfkill
?
Comment 5 rh 2015-10-05 07:42:42 EDT
Thanks for having a look at this!

$ gdbus introspect --session --dest org.gnome.SettingsDaemon.Rfkill --object-path /org/gnome/SettingsDaemon/Rfkill
node /org/gnome/SettingsDaemon/Rfkill {
  interface org.freedesktop.DBus.Properties {
    methods:
      Get(in  s interface_name,
          in  s property_name,
          out v value);
      GetAll(in  s interface_name,
             out a{sv} properties);
      Set(in  s interface_name,
          in  s property_name,
          in  v value);
    signals:
      PropertiesChanged(s interface_name,
                        a{sv} changed_properties,
                        as invalidated_properties);
    properties:
  };
  interface org.freedesktop.DBus.Introspectable {
    methods:
      Introspect(out s xml_data);
    signals:
    properties:
  };
  interface org.freedesktop.DBus.Peer {
    methods:
      Ping();
      GetMachineId(out s machine_uuid);
    signals:
    properties:
  };
  @org.freedesktop.DBus.GLib.CSymbol("gsd_rfkill_manager")
  interface org.gnome.SettingsDaemon.Rfkill {
    methods:
    signals:
    properties:
      readwrite b AirplaneMode = false;
      readonly b HardwareAirplaneMode = false;
      readonly b HasAirplaneMode = false;
      readonly b ShouldShowAirplaneMode = false;
      readwrite b BluetoothAirplaneMode = false;
      readonly b BluetoothHardwareAirplaneMode = false;
      readonly b BluetoothHasAirplaneMode = false;
  };
};
Comment 6 rh 2015-11-11 13:10:16 EST
Still the same behavior in Fedora 23.

$ rpm -qa | grep bluetooth
gnome-bluetooth-3.18.0-1.fc23.x86_64
NetworkManager-bluetooth-1.0.6-8.fc23.x86_64
gnome-bluetooth-libs-3.18.0-1.fc23.x86_64
pulseaudio-module-bluetooth-7.1-1.fc23.x86_64
Comment 7 Fedora End Of Life 2016-07-19 15:19:10 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 rh 2016-07-19 15:31:55 EDT
Still happens with Fedora 24.
Comment 9 Jan Vlug 2017-07-17 11:04:20 EDT
I confirm this issue on Fedora 26

The message in the Gnome control center is now:
No Bluetooth Found
Plug in a dongle to use Bluetooth.
Comment 10 Fedora End Of Life 2017-07-25 15:19:17 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 11 Jan Vlug 2017-07-26 05:25:16 EDT
The issue still exists on Fedora 26, see comment #9.
Comment 12 Fedora End Of Life 2017-08-08 08:16:20 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.